/////////////////////////////////////////////////////////////////////////////
//
// This header file defines hardware monitoring data source descriptor 
// stucture, used by hardware monitoring plugin modules to describe the
// sources, exported by the plugin
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _MONITORING_SOURCE_DESC_INCLUDED_
#define _MONITORING_SOURCE_DESC_INCLUDED_
/////////////////////////////////////////////////////////////////////////////
// v1.0 descriptor
/////////////////////////////////////////////////////////////////////////////
typedef struct MONITORING_SOURCE_DESC_V_1_0
{
	char	szName[32];
		//data source name (e.g. "Core temperature")
	char	szDim[32];
		//data source dimension (e.g. "C")

	//the following fields define default graph's limits and grid dimension
	//(these values are used by default during graph rendering, but user can
	//redefine them via the source's properties).

	FLOAT	fltMaxLimit;
		//default maximum graph limit (e.g. 100C)
	FLOAT	fltMinLimit;
		//default minimum graph limit (e.g. 0C)
	FLOAT	fltGridDim;
		//default grid dimension (amount of grid lines between min and max limits)
} MONITORING_SOURCE_DESC_V_1_0, *LPMONITORING_SOURCE_DESC_V_1_0;
/////////////////////////////////////////////////////////////////////////////
// v1.1+ descriptor
/////////////////////////////////////////////////////////////////////////////
typedef struct MONITORING_SOURCE_DESC
{
	DWORD	dwVersion;
		//descriptor version ((major<<16) + minor)
		//must be set to 0x00010001 on input for v1.1 descriptor

		//Don't change this field when filling the descriptor!

	char	szName[32];
		//data source name (e.g. "Core temperature")
	char	szDim[32];
		//data source dimension (e.g. "C")

	//the following fields define default graph's limits and grid dimension
	//(these values are used by default during graph rendering, but user can
	//redefine them via the source's properties).

	FLOAT	fltMaxLimit;
		//default maximum graph limit (e.g. 100C)
	FLOAT	fltMinLimit;
		//default minimum graph limit (e.g. 0C)
	FLOAT	fltGridDim;
		//default grid dimension (amount of grid lines between min and max limits)

	char	szDesc[64];
		//data source description (e.g. "Remote temperature reported by MAX6648-compatible sensor")

} MONITORING_SOURCE_DESC, *LPMONITORING_SOURCE_DESC;
/////////////////////////////////////////////////////////////////////////////
#endif
